Can't reinstall apps it says not compatible

New Here ,
Mar 16, 2021 Mar 16, 2021

Copy link to clipboard

Copied

Yesterday photoshop was lagging and in the morning none of the adobe apps would launch, so I uninstalled everything (same thing happened like 3-4 years ago, I use an external hard drive so my internal computer drive is not even halfway full) everything seems to be ok know with photoshop, illustrator, and lightroom, the problem is that now I can't install after effects nor media encoder it says not compatible. I have seen posts where they say to click the 3 stacked dot but no older version shows, I have contact adobe from my phone, email, and live chat since the morning no answer. I have an IMac 2011 macOS High Sierra Version: 10.13.6 I need to turn in projects
TOPICS
Creative Cloud

Views

35

Likes

translate

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Most Valuable Participant ,
Mar 16, 2021 Mar 16, 2021

Copy link to clipboard

Copied

High Sierra is very old, and not compatible with the current apps. Uninstalling was a big mistake, you'll never get old versions back. But you can set CC to show you one version back; perhaps last years will be ok for you. You should see older versions, so long as your license is current. 

Likes

translate

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Adobe Community Professional ,
Mar 16, 2021 Mar 16, 2021

Copy link to clipboard

Copied

Hi @defaulttyaqi7lfyquo,

You need Mojave or higher.  Adobe expects all users to have the latest software, no more than 2 versions back.   And owing to the N+1 version policy, pre-2019 versions are not available from CC Desktop app anymore.

 

Please ensure your computer meets or exceeds the minimum system requirements to run Creative Cloud + OS + all other apps you use. Check each one, they vary.
- https://helpx.adobe.com/creative-cloud/system-requirements.html

 

Nancy O'Shea, Adobe Product User & Community Professional
Alt-Web Design & Publishing ~ Web : Print : Graphics : Media

Likes

translate

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines